Upstream information

CVE-2005-2971 at MITRE

Description

Heap-based buffer overflow in the KWord RTF importer for KOffice 1.2.0 through 1.4.1 allows remote attackers to execute arbitrary code via a crafted RTF file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 118546 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SuSE Linux Desktop 1.0
  • koffice-wordprocessing >= 1.2.1-209
Builds
SUSE LINUX 10.0
  • koffice-wordprocessing >= 1.4.1-10.2
SuSE Linux 9.0 for AMD64
SuSE Linux 9.0 for IA32
  • koffice-wordprocessing >= 1.2.92-88
SUSE LINUX 9.1 for IA32
SUSE LINUX 9.1 for x86-64
  • koffice-wordprocessing >= 1.3-67.3
SUSE LINUX 9.2
  • koffice-wordprocessing >= 1.3.3-3.3
SUSE LINUX 9.3
  • koffice-wordprocessing >= 1.3.5-11.2